Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - d -

- d : sip_state , U
- d_ino : direct
- d_isdir : direct
- d_isrep : direct
- d_name : direct
- d_namlen : direct
- dat : tmx
- data : RVALUE , stack_chunk , end_proc_data , rb_objspace::mark_func_data_struct , each_obj_args , yaml_token_s , dump_arg , load_arg , yaml_event_s , trace_var , global_variable , yaml_node_s , oldbt_arg , rb_trace_arg_struct , RData , rb_event_hook_struct , rb_tp_struct , rb_data_type_struct , RTypedData
- ddouble : fiddle_generic
- debug : cparse_params , rb_vm_struct
- debug_level : rb_compile_option_struct
- debug_lines : parser_params
- def : rb_method_entry_struct
- default_params : rb_vm_struct
- DefaultChar : myCPINFOEX
- deferred : rb_objspace
- defined_class : METHOD , rb_call_info_struct , cache_entry
- defined_method_id : rb_iseq_struct
- defined_strings : rb_vm_struct
- den : RRational
- depth : JSON_Generator_StateStruct
- dest : dump_arg
- destination_encoding : rb_econv_t
- destination_encoding_name : rb_econv_t
- df : ComplexDateData
- dfree : RData , rb_data_type_struct
- di_dbm : dbmdata
- di_size : dbmdata
- digest_len : rb_digest_metadata_t
- digits : RBignum
- dir : dir_data
- dirbno : DBM
- dirbuf : DBM
- dirf : DBM
- dirstr : DIR
- disable : cmdline_options
- dispatch : _Win32OLEIDispatch
- dmark : RData , rb_data_type_struct
- dmax : re_pattern_buffer
- dmin : re_pattern_buffer
- dname : transcoder_entry_t
- do_heap_free : rb_objspace
- do_line : cmdline_options
- do_loop : cmdline_options
- do_print : cmdline_options
- do_search : cmdline_options
- do_split : cmdline_options
- document : yaml_emitter_s , yaml_parser_s
- document_end : yaml_event_s
- document_start : yaml_event_s
- done : call_queue , invoke_queue , eval_queue , th_update_param , chdir_data , th_vwait_param , thread_call_proc_arg
- dont_gc : rb_objspace
- dont_lazy_sweep : rb_objspace
- dp : oleparam
- dptr : datum
- dsize : datum , rb_data_type_struct
- dst : copy_stream_struct , enumerator
- dst_encoding : rb_transcoder
- dst_fd : copy_stream_struct
- dummy_for_alignment : rb_transcoding::rb_transcoding_state_t
- dump : cmdline_options
- dumper : marshal_compat_t
- dup2_tmpbuf : rb_execarg
- during_gc : rb_objspace
- dwBufferCount : WSAMSG
- dwCookie : oleeventdata
- dwFlags : WSAMSG